cudnn_frontend::OperationGraph_v8 Class Reference

`#include <cudnn_frontend_OperationGraph.h>`

Inheritance diagram for cudnn_frontend::OperationGraph_v8:
Collaboration diagram for cudnn_frontend::OperationGraph_v8:

## Public Member Functions

std::string | describe () const override
| Return a string describing the backend Descriptor. More...
| OperationGraph_v8 (OperationGraph_v8 &&from)=default
OperationGraph_v8 & | operator= (OperationGraph_v8 &&from)=default
| ~OperationGraph_v8 ()=default
auto | getEngineCount (void) const -> int64_t
| Query the total count of the engines for the Operation Set. More...
uint64_t | getOpCount () const
std::string const & | getTag () const
feature_vector_t | getFeatureVector () const
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions

| OperationGraph_v8 ()=default
| OperationGraph_v8 (OperationGraph_v8 const &)=delete
OperationGraph_v8 & | operator= (OperationGraph_v8 const &)=delete

## Private Attributes

cudnnHandle_t | handle = nullptr
std::array< ManagedOpaqueDescriptor, 10 > | ops {}
int64_t | numOps = -1
std::string | opGraphTag = ""
std::vector< feature_vector_t > | feature_vectors

## Friends

class | OperationGraphBuilder_v8

## Additional Inherited Members

Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

OperationGraph_v8 Class This class tells the properties of the Tensor_v8 on which the operation will be performed Properties:

- handle
- operation

Use OperationGraphBuilder_v8 to build this class. Describe returns a string describing the tensor class

Definition at line 52 of file cudnn_frontend_OperationGraph.h.

## Constructor & Destructor Documentation

## OperationGraph_v8() [1/3]

cudnn_frontend::OperationGraph_v8::OperationGraph_v8 | ( | OperationGraph_v8 && | from | ) |

default

## ~OperationGraph_v8()

cudnn_frontend::OperationGraph_v8::~OperationGraph_v8 | ( |  | ) |

default

Referenced by describe().

## OperationGraph_v8() [2/3]

cudnn_frontend::OperationGraph_v8::OperationGraph_v8 | ( |  | ) |

private default

Referenced by describe(), and getFeatureVector().

## OperationGraph_v8() [3/3]

cudnn_frontend::OperationGraph_v8::OperationGraph_v8 | ( | OperationGraph_v8 const & |  | ) |

private delete

## Member Function Documentation

## describe()

std::string cudnn_frontend::OperationGraph_v8::describe | ( |  | ) | const

inline override virtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 56 of file cudnn_frontend_OperationGraph.h.

References OperationGraph_v8(), operator=(), and ~OperationGraph_v8().

## getFeatureVector()

feature_vector_t cudnn_frontend::OperationGraph_v8::getFeatureVector | ( |  | ) | const

inline

We do not support multiop opGraph at this point of time.

Definition at line 103 of file cudnn_frontend_OperationGraph.h.

References feature_vectors, numOps, OperationGraph_v8(), and operator=().

Referenced by cudnn_frontend::ExecutionPlanCache_v1::add_plan_to_cache(), cudnn_frontend::ExecutionPlanCache_v1::get_plan_from_cache(), and cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable().

## getOpCount()

uint64_t cudnn_frontend::OperationGraph_v8::getOpCount | ( |  | ) | const

inline

Definition at line 93 of file cudnn_frontend_OperationGraph.h.

References numOps.

## getTag()

std::string const& cudnn_frontend::OperationGraph_v8::getTag | ( |  | ) | const

inline

Definition at line 98 of file cudnn_frontend_OperationGraph.h.

References opGraphTag.

Referenced by cudnn_frontend::ExecutionPlanCache_v1::add_plan_to_cache(), and cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable().

## operator=() [1/2]

OperationGraph_v8& cudnn_frontend::OperationGraph_v8::operator= | ( | OperationGraph_v8 && | from | ) |

default

Referenced by cudnn_frontend::OperationGraphBuilder_v8::build(), describe(), and getFeatureVector().

## operator=() [2/2]

OperationGraph_v8& cudnn_frontend::OperationGraph_v8::operator= | ( | OperationGraph_v8 const & |  | ) |

private delete

## Friends And Related Function Documentation

## OperationGraphBuilder_v8

friend class OperationGraphBuilder_v8

friend

Definition at line 54 of file cudnn_frontend_OperationGraph.h.

Referenced by cudnn_frontend::OperationGraphBuilder_v8::build().

## Member Data Documentation

## feature_vectors

std::vector<feature_vector_t> cudnn_frontend::OperationGraph_v8::feature_vectors

private

Definition at line 122 of file cudnn_frontend_OperationGraph.h.

Referenced by getFeatureVector().

## handle

cudnnHandle_t cudnn_frontend::OperationGraph_v8::handle = nullptr

private

Definition at line 118 of file cudnn_frontend_OperationGraph.h.

## numOps

int64_t cudnn_frontend::OperationGraph_v8::numOps = -1

private

Definition at line 120 of file cudnn_frontend_OperationGraph.h.

Referenced by getFeatureVector(), and getOpCount().

## opGraphTag

std::string cudnn_frontend::OperationGraph_v8::opGraphTag = ""

private

Definition at line 121 of file cudnn_frontend_OperationGraph.h.

Referenced by getTag().

## ops

std::array<ManagedOpaqueDescriptor, 10> cudnn_frontend::OperationGraph_v8::ops {}

private

Definition at line 119 of file cudnn_frontend_OperationGraph.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_OperationGraph.h